Show / Hide Table of Contents

# Class AlmostVersionConverter

A ValueConverter<T> for AlmostVersions.

##### Inheritance

Object
ValueConverter<AlmostVersion>
AlmostVersionConverter

##### Implements

IValueConverter

##### Inherited Members

ValueConverter<AlmostVersion>.IValueConverter.ToValue(Object, Object)
ValueConverter<AlmostVersion>.IValueConverter.FromValue(Value, Object)
ValueConverter<AlmostVersion>.IValueConverter.Type
Object.ToString()
Object.Equals(Object)
Object.Equals(Object, Object)
Object.ReferenceEquals(Object, Object)
Object.GetHashCode()
Object.GetType()
Object.MemberwiseClone()

###### Namespace: IPA.Utilities

###### Assembly: IPA.Loader.dll

##### Syntax

    public sealed class AlmostVersionConverter : ValueConverter<AlmostVersion>, IValueConverter

### Methods

| Improve this Doc View Source

#### FromValue(Value, Object)

Converts a Text node into an AlmostVersion.

##### Declaration

    public override AlmostVersion FromValue(Value value, object parent)

##### Parameters

Type | Name | Description
--- | --- | ---
Value | value | the Text node to convert
Object | parent | the owner of the new object

##### Returns

Type | Description
--- | ---
AlmostVersion |

##### Overrides

IPA.Config.Stores.ValueConverter<IPA.Utilities.AlmostVersion>.FromValue(IPA.Config.Data.Value, System.Object)
| Improve this Doc View Source

#### ToValue(AlmostVersion, Object)

Converts an AlmostVersion to a Text node.

##### Declaration

    public override Value ToValue(AlmostVersion obj, object parent)

##### Parameters

Type | Name | Description
--- | --- | ---
AlmostVersion | obj | the AlmostVersion to convert
Object | parent | the parent of `obj`

##### Returns

Type | Description
--- | ---
Value | a Text node representing `obj`

##### Overrides

IPA.Config.Stores.ValueConverter<IPA.Utilities.AlmostVersion>.ToValue(IPA.Utilities.AlmostVersion, System.Object)

### Implements

IValueConverter

### Extension Methods

ReflectionUtil.SetField<T, U>(T, String, U)
ReflectionUtil.GetField<U, T>(T, String)
ReflectionUtil.SetProperty<T, U>(T, String, U)
ReflectionUtil.GetProperty<U, T>(T, String)
ReflectionUtil.InvokeMethod<U, T>(T, String, Object[])